<div id="alert-penetapan"></div>
#{form @lelang.EvaluasiCtr.submit_penetapan_itemized(lelang.lls_id), id:'formPenetapan'}
<table class="table table-sm">
<tr>
   <th width="5" >No</th>
   <th>&{'lelang_evaluasi.peserta'}</th>
   <th width="180" >&{'lelang_evaluasi.harga_nego'} (Rp)</th>
   #{if lelang.evaluasi.nilai}
   <th width="50" >&{'lelang_evaluasi.skor_akhir'}</th>
   #{/if}
</tr>
#{if editable}
 #{list items:pesertaList, as:'pesertaItem'}
    #{set i : pesertaItem_index - 1 /}
 	<input name="nilai[${i}].nev_id" type="hidden" value="${pesertaItem.nev_id}">
	<tr>
	   <td align="center"><input type="checkbox" name="nilai[${i}].lulus" value="true" #{if pesertaItem.lulus} checked #{/if}> </td>
	   <td>${pesertaItem?.peserta.namaPeserta}</td>
	   <td align="right"><input name="nilai[${i}].nev_harga_negosiasi" class="form-control money" value="${pesertaItem.hargaFinal()?.formatDouble()}"></td>
	   #{if lelang.evaluasi.nilai}
	   <td align="right"><input type="text" min="1" name="nilai[${i}].nev_skor" style="width:70px;" value="${pesertaItem?.nev_skor}" class="form-control nilaiEvaluasi"/></td>
	   #{/if}
	</tr>
 #{/list}
#{/if}
#{else}
	#{list items:pesertaList, as:'pesertaItem'}
	<tr>
	    <td align="center">#{if }<i class="fa fa-check" style="color:#5cb85c" />#{/if} #{else} <i class="fa fa-close" /> #{/else}</td>
	    <td>${pesertaItem?.peserta?.namaPeserta}</td>
	    <td align="right">${pesertaItem.hargaFinal()?.rupiah()}</td>
	     #{if lelang.evaluasi.nilai}
	    <td align="right">${pesertaItem.nev_skor}</td>
	    #{/if}
	</tr>
	#{/list}
#{/else}
</table>
	#{if editable} #{saveButton /} #{/if}
#{/form}

<div class="alert alert-danger" role="alert" id="blacklisted">
    <p><h5><strong><i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
	&{'lelang_evaluasi.tdk_dapat_mengirim_penetapan'} (<a href="${inaproc_url}" target="_blank">${inaproc_url}</a>) &{'lelang_evaluasi.info_lanjut'}.</p>
</div>

<div class="alert alert-danger" role="alert" id="confirmation">
    <p><h5><strong><i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
    &{'lelang_evaluasi.spse_maintenance'} (<a href="${inaproc_url}" target="_blank">${inaproc_url}</a>)&{'lelang_evaluasi.spse_maintenance2'}
	<br/><br/>&{'lelang_evaluasi.lanjutkan_pemenang'}</p>
	<br/>
    <button class="btn btn-success" id="yes-confirm">&{'lelang_evaluasi.ya'}</button>&nbsp;<button class="btn btn-default" id="no-confirm">&{'lelang_evaluasi.tidak'}</button>
</div>

<div class="alert alert-warning" role="alert" id="load">
    <p><h5><strong><i class="fa fa-history" aria-hidden="true"></i>
    &{'lelang_evaluasi.pemeriksaan_daftar_hitam'}.</strong></h5></p>
</div>

<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/autoNumeric.min.js'/}"></script>
<script type="text/javascript">

$(document).ready(function(){

    new AutoNumeric.multiple('.nilaiEvaluasi', {
        maximumValue: "100",
        minimumValue: "0",
        decimalCharacter: ",",
        digitGroupSeparator: "."
    });

	$("#load").hide();

    $('#blacklisted').hide();

    $('#confirmation').hide();

    $('#no-confirm').click(function() {
        $('#confirmation').hide();
        $('button[name="simpan"]').show();
	});

    $('#yes-confirm').click(function() {
        $('#formPenetapan').submit();
    });

	//banyak data
	var mx = ${i = i==null? 0:i};

    $('button[name="simpan"]').click(function() {
		  var valid = true;
		  var nonInt=false;
		  var darr = new Array();
		  var arrdup = new Array();
		  if(valid==false){
			  var msg = "";
			  if(nonInt==true){
				  if(arrdup.length > 0){
					  msg += " dan ";
				  }
				  msg += "Ditemukan huruf bukan integer"
			  }
			  //not valid
			  alert(msg);
		  }
        //pemeriksaan blacklist

		for (var x = 0; x <= mx; x++) {
			var v = $('input[name="nilai[' + x + '].nev_id"]').val();
			if (v > 0) {
				var nevId = $('input[name="nilai[' + x + '].nev_id"]').val();
				var blacklistUrl = #{jsRoute @lelang.EvaluasiCtr.pengecekanBlacklist(':nevId') /};
                $('button[name="simpan"]').hide();
                $('#load').show();
				$.ajax({
					type: 'POST',
					async: false,
					url: blacklistUrl.url({nevId: nevId}),

					success: function (data) {
						if (data == 2) {
							valid=false;
                            $('#confirmation').show();
						} else if(data==1){
							valid=false;
                            $('#blacklisted').show();
						} else {
                            $('button[name="simpan"]').show();
						}
                        $('#load').hide();
					},

					error: function () {
                        $('#load').hide();
                        $('button[name="simpan"]').show();
						alert('error');
					}
				})

				break;
			}
		}

	    if(valid==true)
            $('#formPenetapan').submit();
		else
			return false;

	});
});

</script>
